package cd.casic.ci.common.pipeline;

import cd.casic.ci.common.pipeline.matrix.DispatchInfo;
import com.fasterxml.jackson.databind.jsontype.NamedType;
import com.fasterxml.jackson.databind.module.SimpleModule;
import lombok.extern.slf4j.Slf4j;

import java.util.Map;
import java.util.ServiceLoader;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline
 * @Project：ops-pro
 * @name：DispatchSubInfoRegisterLoader
 * @Date：2025/03/25 17:34
 * @Filename：DispatchSubInfoRegisterLoader
 * @description：Todo
 */
@Slf4j
public class DispatchSubInfoRegisterLoader {

    public static void registerInfo() {
        Class<DispatchSubInfoFetcher> clazz = DispatchSubInfoFetcher.class;
        ServiceLoader<DispatchSubInfoFetcher> fetcheries = ServiceLoader.load(clazz);

        if (!fetcheries.iterator().hasNext()) {
            fetcheries = ServiceLoader.load(clazz, ServiceLoader.class.getClassLoader());
        }
        SimpleModule infoSubModule = new SimpleModule();
        for (DispatchSubInfoFetcher fetcher : fetcheries) {
            log.info("[DISPATCH_FETCHER]| {}", fetcher.getClass());
            Map<String, Class<? extends DispatchInfo>> jsonSubTypes = fetcher.jsonSubInfo();
            for (Map.Entry<String, Class<? extends DispatchInfo>> entry : jsonSubTypes.entrySet()) {
                infoSubModule.registerSubtypes(new NamedType(entry.getValue(), entry.getKey()));
                log.info("[REGISTER_DISPATCH]|{} for {}", entry.getValue(), entry.getKey());
            }
        }
    }
}
