package cd.casic.ci.common.pipeline.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.api.enums
 * @Project：ops-pro
 * @name：ScmCode
 * @Date：2025/03/26 10:30
 * @Filename：ScmCode
 * @description：Todo
 */
@Getter
@AllArgsConstructor
public enum ScmCode {
    GITEA("GITEA", "GITEA"), // 内部Gitea
    GITHUB("GITHUB", "GITHUB"), // github
    GITLAB("GITLAB", "GITLAB"); // github

    private final String scmName;
    private final String value;

    public ScmType convertScmType() {
        switch (this) {
            case GITEA:
                return ScmType.CODE_GIT;
            case GITHUB:
                return ScmType.GITHUB;
            case GITLAB:
                return ScmType.CODE_TGIT;
            default:
                throw new IllegalArgumentException("Unknown ScmCode: " + this);
        }
    }
}
