package cd.casic.pipeline.dispatch.pojo.reids;

import cd.casic.ci.common.pipeline.pojo.Zone;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

/**
 * @author by mianbin
 * @Classname RedisBuild
 * @Date 2025/4/8 16:17
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
@Schema(description = "RedisBuild 对象，用于存储构建信息")
public class RedisBuild {

    @JsonProperty("vmName")
    @Schema(description = "虚拟机名称", required = true)
    private String vmName;
    @JsonProperty("projectId")
    @Schema(description = "项目ID", required = true)
    private String projectId;
    @JsonProperty("pipelineId")
    @Schema(description = "流水线ID", required = true)
    private String pipelineId;
    @JsonProperty("buildId")
    @Schema(description = "构建ID", required = true)
    private String buildId;
    @JsonProperty("vmSeqId")
    @Schema(description = "虚拟机序列ID", required = true)
    private String vmSeqId;
    @JsonProperty("channelCode")
    @Schema(description = "通道代码")
    private String channelCode;
    @JsonProperty("zone")
    @Schema(description = "区域信息")
    private Zone zone;
    @JsonProperty("atoms")
    @Schema(description = "用插件框架开发的插件信息，key为插件code，value为下载路径", defaultValue = "{}")
    private Map<String, String> atoms = Map.of();
}
