package cd.casic.pipeline.environment.pojo;

import cd.casic.pipeline.environment.pojo.enums.SharedEnvType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author by mianbin
 * @Classname AddSharedProjectInfo
 * @Description TODO
 * @Date 2025/4/8 19:58
 */
@Getter
@AllArgsConstructor
@Schema(title = "VM虚拟机配额")
public class AddSharedProjectInfo {
    @Deprecated
    @Schema(title = "工蜂项目ID", required = false)
    private final String gitProjectId;

    @Schema(title = "项目名称，工蜂项目则为groupName/projectName", required = true)
    private final String name;

    @Schema(title = "类型，预留", required = true)
    private final SharedEnvType type;

    @Schema(title = "项目ID", required = true)
    private final String projectId;

    @SuppressWarnings("TooGenericExceptionThrown")
    public String getFinalProjectId() {
        if (projectId != null) {
            return projectId;
        }
        if (gitProjectId != null) {
            return gitProjectId;
        }
        throw new RuntimeException("Project id must not null.");
    }
}
