package cd.casic.ci.process.api.process.pojo.classify;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.classify
 * @Project：ops-pro
 * @name：PipelineViewHitFilters
 * @Date：2025/03/24 20:05
 * @Filename：PipelineViewHitFilters
 * @description：Todo
 */
@Data
@NoArgsConstructor
@Schema(title = "流水线组命中情况")
public class PipelineViewHitFilters {
    @Schema(title = "条件列表")
    private List<FilterInfo> filters = new ArrayList<>();
    @Schema(title = "条件关系")
    private String logic;

    @Data
    public static class FilterInfo {
        @Schema(title = "关键字")
        private String key;
        @Schema(title = "命中列表")
        private List<Hit> hits = new ArrayList<>();

        @Data
        public static class Hit {
            @Schema(title = "是否命中")
            private boolean hit;
            @Schema(title = "对应的值")
            private String value;
        }
    }

    public static final PipelineViewHitFilters EMPTY = new PipelineViewHitFilters();
}
