package cd.casic.ci.process.api.process.pojo.setting;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.pojo.setting
 * @Project：ops-pro
 * @name：TaskCommonSetting
 * @Date：2025/03/24 20:37
 * @Filename：TaskCommonSetting
 * @description：Todo
 */
@Data
@Schema(title = "流水线task公共配置信息")
public class TaskCommonSetting {
    @Schema(title = "最大输入参数个数", required = true)
    private int maxInputNum;
    @Schema(title = "最大输出参数个数", required = true)
    private int maxOutputNum;
    @Schema(title = "输入参数组件配置", required = true)
    private List<TaskComponentCommonSetting> inputComponentCommonSettings;
    @Schema(title = "输出参数组件配置", required = true)
    private List<TaskComponentCommonSetting> outputComponentCommonSettings;
}
