package cd.casic.ci.process.api.process.pojo.template;

import cd.casic.ci.common.pipeline.container.Stage;
import cd.casic.ci.common.pipeline.pojo.setting.PipelineSetting;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.template
 * @Project：ops-pro
 * @name：OptionalTemplateList
 * @Date：2025/03/24 18:55
 * @Filename：OptionalTemplateList
 * @description：Todo
 */
@Data
public class OptionalTemplateList {
    @Schema(title = "数量", required = false)
    private Integer count;

    @Schema(title = "页数", required = false)
    private Integer page;

    @Schema(title = "每页数量", required = false)
    private Integer pageSize;

    @Schema(title = "模板列表", required = false)
    private Map<String, OptionalTemplate> templates;
}

@Data
class OptionalTemplate {
    @Schema(title = "模版名称", required = true)
    private String name;

    @Schema(title = "模版ID", required = true)
    private String templateId;

    @Schema(title = "项目ID", required = true)
    private String projectId;

    @Schema(title = "版本ID", required = true)
    private Long version;

    @Schema(title = "最新版本号", required = true)
    private String versionName;

    @Schema(title = "模板类型", required = true)
    private String templateType;

    @Schema(title = "模板类型描述", required = true)
    private String templateTypeDesc;

    @Schema(title = "应用范畴", required = true)
    private List<String> category;

    @Schema(title = "模版logo", required = true)
    private String logoUrl;

    @Schema(title = "阶段集合", required = true)
    private List<Stage> stages;

    @Schema(title = "克隆模板设置项是否存在", required = false)
    private CloneTemplateSettingExist cloneTemplateSettingExist;

    @Schema(title = "模版描述", required = false)
    private String desc;
}

@Data
@AllArgsConstructor
class CloneTemplateSettingExist {
    private Boolean notifySettingExist;
    private Boolean concurrencySettingExist;
    private Boolean labelSettingExist;
    private Boolean inheritedDialect;
    private String pipelineDialect;

    public static CloneTemplateSettingExist fromSetting(PipelineSetting setting, Set<String> pipelinesWithLabels) {
        return new CloneTemplateSettingExist(
                !setting.notifySettingIsNull(),
                !setting.concurrencySettingIsNull(),
                pipelinesWithLabels != null && pipelinesWithLabels.contains(setting.getPipelineId()),
                setting.getPipelineAsCodeSettings().getInheritedDialect(),
                setting.getPipelineAsCodeSettings().getPipelineDialect()
        );
    }
}
