package cd.casic.ci.process.api.process.pojo.trigger;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.trigger
 * @Project：ops-pro
 * @name：PipelineTriggerFailedMatch
 * @Date：2025/03/24 17:26
 * @Filename：PipelineTriggerFailedMatch
 * @description：Todo
 */
@Data
@Schema(title = "流水线触发事件原因详情-触发匹配失败")
public class PipelineTriggerFailedMatch implements PipelineTriggerReasonDetail {
    @Schema(title = "匹配失败的插件")
    private List<PipelineTriggerFailedMatchElement> elements;

    public static final String classType = "match";

    @Override
    public List<String> getReasonDetailList() {
        return elements.stream()
                .map(it -> {
                    return it.getElementName() + " | " + "chinese";
                })
                .toList();
    }
}

@Data
@Schema(title = "流水线触发匹配失败")
class PipelineTriggerFailedMatchElement {
    @Schema(title = "触发插件ID")
    private String elementId;
    @Schema(title = "触发插件Code")
    private String elementAtomCode;
    @Schema(title = "触发插件名称")
    private String elementName;
    @Schema(title = "触发原因，JSON字符串，便于国际化")
    private String reasonMsg;
}
