/*
 * Tencent is pleased to support the open source community by making BK-CI 蓝鲸持续集成平台 available.
 *
 * Copyright (C) 2019 THL A29 Limited, a Tencent company.  All rights reserved.
 *
 * BK-CI 蓝鲸持续集成平台 is licensed under the MIT license.
 *
 * A copy of the MIT License is included in this file.
 *
 *
 * Terms of the MIT License:
 * ---------------------------------------------------
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
 * documentation files (the "Software"), to deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of
 * the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT
 * LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
 * NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

package cd.casic.ci.process.process.dal.audit;

import cd.casic.ci.process.api.process.pojo.audit.QueryAudit;
import cd.casic.ci.process.process.dataObject.TAuditResourceRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 审计记录 Mapper 接口
 */
@Mapper
@Repository
public interface AuditDao {

    Long create(
            @Param("resourceType") String resourceType,
            @Param("resourceId") String resourceId,
            @Param("resourceName") String resourceName,
            @Param("userId") String userId,
            @Param("action") String action,
            @Param("actionContent") String actionContent,
            @Param("projectId") String projectId,
            @Param("id") Long id
    );
    List<TAuditResourceRecord> listByResourceTye(
            @Param("queryAudit") QueryAudit queryAudit,
            @Param("offset") Integer offset,
            @Param("limit") Integer limit
    );
    Long countByResourceTye(@Param("queryAudit")QueryAudit  queryAudit);

} 