package cd.casic.ci.process.process.dal.callback;



import cd.casic.ci.common.pipeline.pojo.event.PipelineCallbackEvent;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Set;

/**
 * 流水线回调Mapper接口
 */
@Repository
public interface PipelineCallbackDao {

    /**
     * 保存流水线回调
     *
     * @param projectId 项目ID
     * @param pipelineId 流水线ID
     * @param userId 用户ID
     * @param list 回调事件列表
     * @return 影响的行数
     */
    int save(
        @Param("projectId") String projectId,
        @Param("pipelineId") String pipelineId,
        @Param("userId") String userId,
        @Param("list") List<PipelineCallbackEvent> list
    );

    /**
     * 获取流水线回调列表
     *
     * @param projectId 项目ID
     * @param pipelineId 流水线ID
     * @param event 事件类型
     * @return 回调记录列表
     */
    // TODO T_PIPELINE_CALLBACK 这个表找不到
//    Result<TPipelineCallbackRecord> list(
//        @Param("projectId") String projectId,
//        @Param("pipelineId") String pipelineId,
//        @Param("event") String event
//    );

    /**
     * 删除流水线回调
     *
     * @param projectId 项目ID
     * @param pipelineId 流水线ID
     * @param names 回调名称集合
     * @return 影响的行数
     */
    int delete(
        @Param("projectId") String projectId,
        @Param("pipelineId") String pipelineId,
        @Param("names") Set<String> names
    );
} 