package cd.casic.ci.process.process.dal.label;

import cd.casic.ci.process.process.dataObject.TPipelineViewTopRecord;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 流水线视图置顶Mapper接口
 */
@Repository
public interface PipelineViewTopDao {
    /**
     * 添加视图置顶     *          * @param projectId 项目ID     * @param viewId 视图ID     * @param userId 用户ID
     */
    void add(@Param("projectId") String projectId, @Param("viewId") Long viewId, @Param("userId") String userId);

    /**
     * 移除视图置顶     *          * @param projectId 项目ID     * @param viewId 视图ID     * @param userId 用户ID
     */
    void remove(@Param("projectId") String projectId, @Param("viewId") Long viewId, @Param("userId") String userId);

    /**
     * 获取用户的置顶视图列�?     *          * @param projectId 项目ID     * @param userId 用户ID     * @return 置顶视图记录列表
     */
    List<TPipelineViewTopRecord> list(@Param("projectId") String projectId, @Param("userId") String userId);
}
