package cd.casic.ci.process.process.dal.pipeline;


import cd.casic.ci.common.pipeline.pojo.PipelineAsCodeSettings;
import cd.casic.ci.common.pipeline.pojo.setting.PipelineSetting;
import cd.casic.ci.process.process.dataObject.TPipelineSettingRecord;
import org.apache.ibatis.annotations.Param;
import java.util.List;
import java.util.Set;

public interface PipelineSettingDao {
    int saveSetting(
            @Param("setting") PipelineSetting setting,
            @Param("isTemplate") boolean isTemplate
    );

    PipelineSetting getSetting(
            @Param("projectId") String projectId,
            @Param("pipelineId") String pipelineId
    );

    PipelineAsCodeSettings getPipelineAsCodeSettings(
            @Param("projectId") String projectId,
            @Param("pipelineId") String pipelineId
    );

    List<PipelineSetting> getSettings(
            
            @Param("pipelineIds") Set<String> pipelineIds,
            @Param("projectId") String projectId
    );

    void batchUpdate(
            
            @Param("tPipelineSettingRecords") List<TPipelineSettingRecord> tPipelineSettingRecords
    );
// TODO
//    Result<Record4<String, String, Integer, String>> getSimpleSettings(
//
//            @Param("pipelineIds") Set<String> pipelineIds,
//            @Param("projectId") String projectId
//    );

    List<PipelineSetting> getSetting(
            @Param("projectId") String projectId,
            @Param("name") String name,
            @Param("pipelineId") String pipelineId,
            @Param("isTemplate") boolean isTemplate
    );

    void updateSettingName(
            
            @Param("pipelineIdList") List<String> pipelineIdList,
            @Param("name") String name
    );

    PipelineSetting updateSetting(
            
            @Param("projectId") String projectId,
            @Param("pipelineId") String pipelineId,
            @Param("name") String name,
            @Param("desc") String desc
    );
//TODO
//    Record1<Integer> getSettingByName(
//
//            @Param("name") String name,
//            @Param("projectId") String projectId,
//            @Param("pipelineId") String pipelineId,
//            @Param("isTemplate") boolean isTemplate
//    );

    int delete(
            
            @Param("projectId") String projectId,
            @Param("pipelineId") String pipelineId
    );

    int updateMaxConRunningQueueSize(
            
            @Param("projectId") String projectId,
            @Param("pipelineId") String pipelineId,
            @Param("maxConRunningQueueSize") int maxConRunningQueueSize
    );

    int updatePipelineAsCodeSettings(
            
            @Param("projectId") String projectId,
            @Param("pipelineId") String pipelineId,
            @Param("pipelineAsCodeSettings") PipelineAsCodeSettings pipelineAsCodeSettings
    );

    List<String> getNonInheritedPipelineIds(
            
            @Param("projectId") String projectId
    );
}