package cd.casic.ci.process.process.dal.pipeline;

import cd.casic.ci.process.process.dataObject.TPipelineYamlSyncRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PipelineYamlSyncDao {
    /**
     * 创建YAML同步记录     *     * @param projectId 项目ID     * @param pipelineId 流水线ID     * @param yamlContent YAML内容     * @param userId 用户ID     * @return YAML同步记录ID
     */
    long create(@Param("projectId") String projectId, @Param("pipelineId") String pipelineId, @Param("yamlContent") String yamlContent, @Param("userId") String userId);

    /**
     * 更新YAML同步记录     *     * @param projectId 项目ID     * @param pipelineId 流水线ID     * @param yamlContent YAML内容     * @param userId 用户ID     * @return 影响的行�?
     */
    int update(@Param("projectId") String projectId, @Param("pipelineId") String pipelineId, @Param("yamlContent") String yamlContent, @Param("userId") String userId);

    /**
     * 删除YAML同步记录     *     * @param projectId 项目ID     * @param pipelineId 流水线ID     * @return 影响的行�?
     */
    int delete(@Param("projectId") String projectId, @Param("pipelineId") String pipelineId);

    /**
     * 获取YAML同步记录列表     *     * @param projectId 项目ID     * @return YAML同步记录列表
     */
    List<TPipelineYamlSyncRecord> list(@Param("projectId") String projectId);

    /**
     * 获取YAML同步记录     *     * @param projectId 项目ID     * @param pipelineId 流水线ID     * @return YAML同步记录
     */
    TPipelineYamlSyncRecord get(@Param("projectId") String projectId, @Param("pipelineId") String pipelineId);
}
