/* * Tencent is pleased to support the open source community by making BK-CI 蓝鲸持续集成平台 available. * * Copyright (C) 2019 THL A29 Limited, a Tencent company.  All rights reserved. * * BK-CI 蓝鲸持续集成平台 is licensed under the MIT license. * * A copy of the MIT License is included in this file. * * * Terms of the MIT License: * --------------------------------------------------- * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated * documentation files (the "Software"), to deal in the Software without restriction, including without limitation the * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to * permit persons to whom the Software is furnished to do so, subject to the following conditions: * * The above copyright notice and this permission notice shall be included in all copies or substantial portions of * the Software. * * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT * LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN * NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. */
package cd.casic.ci.process.process.dal.pipeline;

import cd.casic.ci.process.process.dataObject.TPipelineYamlViewRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 流水线YAML视图 Dao 接口
 */
@Mapper
@Repository
public interface PipelineYamlViewDao {
    /**
     * 创建YAML视图     *     * @param projectId 项目ID     * @param pipelineId 流水线ID     * @param yamlContent YAML内容     * @param userId 用户ID     * @return YAML视图ID
     */
    long create(@Param("projectId") String projectId, @Param("pipelineId") String pipelineId, @Param("yamlContent") String yamlContent, @Param("userId") String userId);

    /**
     * 更新YAML视图     *     * @param projectId 项目ID     * @param pipelineId 流水线ID     * @param yamlContent YAML内容     * @param userId 用户ID     * @return 影响的行�?
     */
    int update(@Param("projectId") String projectId, @Param("pipelineId") String pipelineId, @Param("yamlContent") String yamlContent, @Param("userId") String userId);

    /**
     * 删除YAML视图     *     * @param projectId 项目ID     * @param pipelineId 流水线ID     * @return 影响的行�?
     */
    int delete(@Param("projectId") String projectId, @Param("pipelineId") String pipelineId);

    /**
     * 获取YAML视图列表     *     * @param projectId 项目ID     * @return YAML视图列表
     */
    List<TPipelineYamlViewRecord> list(@Param("projectId") String projectId);

    /**
     * 获取YAML视图     *     * @param projectId 项目ID     * @param pipelineId 流水线ID     * @return YAML视图
     */
    TPipelineYamlViewRecord get(@Param("projectId") String projectId, @Param("pipelineId") String pipelineId);
}
