/* * Tencent is pleased to support the open source community by making BK-CI 蓝鲸持续集成平台 available. * * Copyright (C) 2019 THL A29 Limited, a Tencent company.  All rights reserved. * * BK-CI 蓝鲸持续集成平台 is licensed under the MIT license. * * A copy of the MIT License is included in this file. * * * Terms of the MIT License: * --------------------------------------------------- * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated * documentation files (the "Software"), to deal in the Software without restriction, including without limitation the * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to * permit persons to whom the Software is furnished to do so, subject to the following conditions: * * The above copyright notice and this permission notice shall be included in all copies or substantial portions of * the Software. * * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT * LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN * NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. */
package cd.casic.ci.process.process.dal.template;

import cd.casic.ci.process.process.dataObject.TTemplateInstanceBaseRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 模板实例基础 Dao 接口
 */
@Mapper
@Repository
public interface TemplateInstanceBaseDao {
    /**
     * 创建模板实例基础记录     *     * @param projectId 项目ID     * @param templateId 模板ID     * @param name 名称     * @param userId 用户ID     * @return 模板实例基础记录ID
     */
    long createTemplateInstanceBase(@Param("projectId") String projectId, @Param("templateId") String templateId, @Param("name") String name, @Param("userId") String userId);

    /**
     * 更新模板实例基础记录     *     * @param instanceId 实例ID     * @param name 名称     * @param userId 用户ID
     */
    void updateTemplateInstanceBase(@Param("instanceId") String instanceId, @Param("name") String name, @Param("userId") String userId);

    /**
     * 删除模板实例基础记录     *     * @param instanceId 实例ID
     */
    void deleteTemplateInstanceBase(@Param("instanceId") String instanceId);

    /**
     * 获取模板实例基础记录列表     *     * @param projectId 项目ID     * @return 模板实例基础记录列表
     */
    List<TTemplateInstanceBaseRecord> getTemplateInstanceBaseList(@Param("projectId") String projectId);

    /**
     * 获取模板实例基础记录     *     * @param instanceId 实例ID     * @return 模板实例基础记录
     */
    TTemplateInstanceBaseRecord getTemplateInstanceBase(@Param("instanceId") String instanceId);
}
