/* * Tencent is pleased to support the open source community by making BK-CI 蓝鲸持续集成平台 available. * * Copyright (C) 2019 THL A29 Limited, a Tencent company.  All rights reserved. * * BK-CI 蓝鲸持续集成平台 is licensed under the MIT license. * * A copy of the MIT License is included in this file. * * * Terms of the MIT License: * --------------------------------------------------- * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated * documentation files (the "Software"), to deal in the Software without restriction, including without limitation the * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to * permit persons to whom the Software is furnished to do so, subject to the following conditions: * * The above copyright notice and this permission notice shall be included in all copies or substantial portions of * the Software. * * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT * LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN * NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. */
package cd.casic.ci.process.process.dal.view;

import cd.casic.ci.process.process.dataObject.TPipelineViewGroupRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 流水线视图分�?Dao 接口
 */
@Mapper
@Repository
public interface PipelineViewGroupDao {
    /**
     * 创建视图分组     *     * @param projectId 项目ID     * @param viewId 视图ID     * @param pipelineId 流水线ID     * @param userId 用户ID
     */
    void create(@Param("projectId") String projectId, @Param("viewId") Long viewId, @Param("pipelineId") String pipelineId, @Param("userId") String userId);

    /**
     * 获取视图分组列表     *     * @param viewId 视图ID     * @param offset 偏移�?     * @param limit 限制数量     * @return 视图分组列表
     */
    List<TPipelineViewGroupRecord> list(@Param("viewId") Long viewId, @Param("offset") Integer offset, @Param("limit") Integer limit);

    /**
     * 获取视图ID列表对应的分�?     *     * @param projectId 项目ID     * @param viewIds 视图ID列表     * @return 视图分组列表
     */
    List<TPipelineViewGroupRecord> listByViewIds(@Param("projectId") String projectId, @Param("viewIds") List<Long> viewIds);

    /**
     * 获取指定视图的分�?     *     * @param projectId 项目ID     * @param viewId 视图ID     * @return 视图分组列表
     */
    List<TPipelineViewGroupRecord> listByViewId(@Param("projectId") String projectId, @Param("viewId") Long viewId);
}
