/* * Tencent is pleased to support the open source community by making BK-CI 蓝鲸持续集成平台 available. * * Copyright (C) 2019 THL A29 Limited, a Tencent company.  All rights reserved. * * BK-CI 蓝鲸持续集成平台 is licensed under the MIT license. * * A copy of the MIT License is included in this file. * * * Terms of the MIT License: * --------------------------------------------------- * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated * documentation files (the "Software"), to deal in the Software without restriction, including without limitation the * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to * permit persons to whom the Software is furnished to do so, subject to the following conditions: * * The above copyright notice and this permission notice shall be included in all copies or substantial portions of * the Software. * * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT * LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN * NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. */
package cd.casic.ci.process.process.dal.view;

import cd.casic.ci.process.process.dataObject.TPipelineViewUserSettingsRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 流水线视图用户设�?Dao 接口
 */
@Mapper
@Repository
public interface PipelineViewUserSettingsDao {
    /**
     * 获取用户设置     *     * @param userId 用户ID     * @param projectId 项目ID     * @return 用户设置记录
     */
    TPipelineViewUserSettingsRecord get(@Param("userId") String userId, @Param("projectId") String projectId);

    /**
     * 创建用户设置     *     * @param userId 用户ID     * @param projectId 项目ID     * @param settings 设置内容
     */
    void create(@Param("userId") String userId, @Param("projectId") String projectId, @Param("settings") String settings);

    /**
     * 更新用户设置     *     * @param userId 用户ID     * @param projectId 项目ID     * @param settings 设置内容
     */
    void update(@Param("userId") String userId, @Param("projectId") String projectId, @Param("settings") String settings);
}
