package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAtomRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="名称")
    private String name;
    @Schema(description="插件的唯一标识")
    private String atomCode;
    @Schema(description="插件大类")
    private String classType;
    @Schema(description="生效范围")
    private String serviceScope;
    @Schema(description="适用Job类型，AGENT： 编译环境，AGENT_LESS：无编译环境")
    private String jobType;
    @Schema(description="操作系统")
    private String os;
    @Schema(description="所属分类ID")
    private String classifyId;
    @Schema(description="文档跳转链接")
    private String docsLink;
    @Schema(description="原子类型")
    private Integer atomType;
    @Schema(description="原子状态")
    private Integer atomStatus;
    @Schema(description="插件状态信息")
    private String atomStatusMsg;
    @Schema(description="简介")
    private String summary;
    @Schema(description="描述")
    private String description;
    @Schema(description="类别")
    private Integer categroy;
    @Schema(description="版本号")
    private String version;
    @Schema(description="LOGO URL地址")
    private String logoUrl;
    @Schema(description="插件图标")
    private String icon;
    @Schema(description="是否为默认原子")
    private Boolean defaultFlag;
    @Schema(description="是否为最新版本原子")
    private Boolean latestFlag;
    @Schema(description="无构建环境原子是否可以在有构建环境运行标识")
    private Boolean buildLessRunFlag;
    @Schema(description="代码库哈希ID")
    private String repositoryHashId;
    @Schema(description="代码库链接")
    private String codeSrc;
    @Schema(description="是否免费")
    private Boolean payFlag;
    @Schema(description="前端渲染模板版本")
    private String htmlTemplateVersion;
    @Schema(description="自定义扩展容器前端表单属性字段的JSON串")
    private String props;
    @Schema(description="预留字段")
    private String data;
    @Schema(description="原子发布者")
    private String publisher;
    @Schema(description="权值")
    private Integer weight;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="可见范围")
    private Integer visibilityLevel;
    @Schema(description="发布时间")
    private Date pubTime;
    @Schema(description="插件代码库不开源原因")
    private String privateReason;
    @Schema(description="是否删除")
    private Boolean deleteFlag;
    @Schema(description="代码库分支")
    private String branch;
    @Schema(description="是否是分支测试版本")
    private Boolean branchTestFlag;
    @Schema(description="是否为最新测试版本原子， TRUE：最新 FALSE：非最新")
    private Boolean latestTestFlag;
}
