package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TAuthMigrationRecord {
    @Schema(description="项目ID")
    private String projectCode;
    @Schema(description="迁移状态, 0-迁移中,1-迁移成功,2-迁移失败")
    private Integer status;
    @Schema(description="迁移前用户组数")
    private Integer beforeGroupCount;
    @Schema(description="迁移后用户组数")
    private Integer afterGroupCount;
    @Schema(description="迁移后资源数和资源用户组数")
    private String resourceCount;
    @Schema(description="开始时间")
    private Date startTime;
    @Schema(description="结束时间")
    private Date endTime;
    @Schema(description="总耗时")
    private Long totalTime;
    @Schema(description="错误信息")
    private String errorMessage;
    @Schema(description="迁移项目的网关路由tags")
    private String routerTag;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
}
