package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TCertRecord {
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="证书ID")
    private String certId;
    @Schema(description="证书用户ID")
    private String certUserId;
    @Schema(description="证书类型")
    private String certType;
    @Schema(description="证书备注")
    private String certRemark;
    @Schema(description="证书 p12 文件名称")
    private String certP12FileName;
    @Schema(description="证书 mp 文件名称")
    private String certMpFileName;
    @Schema(description="证书 jks 文件名称")
    private String certJksFileName;
    @Schema(description="证书 jsk 别名")
    private String certJksAlias;
    @Schema(description="证书 jks 凭据ID")
    private String certJksAliasCredentialId;
    @Schema(description="证书 开发者名称")
    private String certDeveloperName;
    @Schema(description="证书 团队名称")
    private String certTeamName;
    @Schema(description="证书 uuid")
    private String certUuid;
    @Schema(description="证书 过期时间")
    private Date certExpireDate;
    @Schema(description="证书 创建时间")
    private Date certCreateTime;
    @Schema(description="证书 更新时间")
    private Date certUpdateTime;
    @Schema(description="凭证ID")
    private String credentialId;
    @Schema(description="证书 p12 文件内容")
    private byte[] certP12FileContent;
    @Schema(description="证书 mp 文件内容")
    private byte[] certMpFileContent;
    @Schema(description="证书 jsk 文件内容")
    private byte[] certJksFileContent;
}
