package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TDispatchPipelineDockerTaskRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="构建机ID")
    private String agentId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="构建序列号")
    private Integer vmSeqId;
    @Schema(description="状态")
    private Integer status;
    @Schema(description="密钥")
    private String secretKey;
    @Schema(description="镜像名称")
    private String imageName;
    @Schema(description="渠道号，默认为DS")
    private String channelCode;
    @Schema(description="主机标签")
    private String hostTag;
    @Schema(description="构建容器ID")
    private String containerId;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="更新时间")
    private Date updatedTime;
    @Schema(description="构建机地域")
    private String zone;
    @Schema(description="注册用户名")
    private String registryUser;
    @Schema(description="注册用户密码")
    private String registryPwd;
    @Schema(description="镜像类型")
    private String imageType;
    @Schema(description="构建Job唯一标识")
    private String containerHashId;
    @Schema(description="镜像是否为公共镜像：0否1是")
    private Boolean imagePublicFlag;
    @Schema(description="镜像研发来源：0自研1第三方")
    private Integer imageRdType;
}
