package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TGitBasicSettingRecord {
    @Schema(description="GIT项目ID")
    private Long id;
    @Schema(description="GIT项目名")
    private String name;
    @Schema(description="GIT项目URL")
    private String url;
    @Schema(description="GIT项目HomePage")
    private String homePage;
    @Schema(description="GIT项目httpUrl")
    private String gitHttpUrl;
    @Schema(description="GIT项目sshUrl")
    private String gitSshUrl;
    @Schema(description="是否启用CI功能")
    private Boolean enableCi;
    @Schema(description="Build pushed branches")
    private Boolean buildPushedBranches;
    @Schema(description="Build pushed pull request")
    private Boolean buildPushedPullRequest;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="蓝盾项目Code")
    private String projectCode;
    @Schema(description="是否开启MR锁定")
    private Boolean enableMrBlock;
    @Schema(description="CI开启人，用于Oauth权限校验")
    private String enableUserId;
    @Schema(description="CI开启人所在事业群")
    private String creatorBgName;
    @Schema(description="CI开启人所在部门")
    private String creatorDeptName;
    @Schema(description="CI开启人所在中心")
    private String creatorCenterName;
    @Schema(description="GIT项目的描述信息")
    private String gitProjectDesc;
    @Schema(description="GIT项目的头像信息")
    private String gitProjectAvatar;
    @Schema(description="最后一次构建的CI信息")
    private String lastCiInfo;
    @Schema(description="OAUTH身份的修改者")
    private String oauthOperator;
    @Schema(description="项目中的构建是否发送commitcheck")
    private Boolean enableCommitCheck;
    @Schema(description="带有名空间的项目路径")
    private String pathWithNameSpace;
    @Schema(description="带有名空间的项目名称")
    private String nameWithNameSpace;
    @Schema(description="项目中的MR是否发送评论")
    private Boolean enableMrComment;
    @Schema(description="pr、mr触发时的权限校验(存储为json字符串)")
    private String triggerReviewSetting;
}
