package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TGitRequestEventRecord {
    @Schema(description="ID")
    private Long id;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="触发类型：push,tag_push,merge_request,issue,note,")
    private String objectKind;
    @Schema(description="operation_kind, create, delete, update")
    private String operationKind;
    @Schema(description="open, close, reopen, update, push-update, merge")
    private String extensionAction;
    @Schema(description="GIT项目ID")
    private Long gitProjectId;
    @Schema(description="branch")
    private String branch;
    @Schema(description="targetBranch")
    private String targetBranch;
    @Schema(description="commit id")
    private String commitId;
    @Schema(description="")
    private String commitMsg;
    @Schema(description="commit timestamp")
    private String commitTimestamp;
    @Schema(description="user name")
    private String userName;
    @Schema(description="total_commits_count")
    private Long totalCommitCount;
    @Schema(description="merge_request_id")
    private Long mergeRequestId;
    @Schema(description="event")
    private String event;
    @Schema(description="描述")
    private String description;
    @Schema(description="")
    private String mrTitle;
    @Schema(description="fork库GIT项目ID")
    private Long sourceGitProjectId;
    @Schema(description="")
    private String commitMessage;
    @Schema(description="yaml变更文件列表")
    private String changeYamlList;
}
