package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TImageFeatureRecord {
    @Schema(description="主键")
    private String id;
    @Schema(description="镜像代码")
    private String imageCode;
    @Schema(description="是否为公共镜像， TRUE：是 FALSE：不是")
    private Boolean publicFlag;
    @Schema(description="是否推荐， TRUE：是 FALSE：不是")
    private Boolean recommendFlag;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="是否官方认证， TRUE：是 FALSE：不是")
    private Boolean certificationFlag;
    @Schema(description="权重（数值越大代表权重越高）")
    private Integer weight;
    @Schema(description="镜像类型：0：蓝鲸官方，1：第三方")
    private Integer imageType;
    @Schema(description="删除标识 true：是，false：否")
    private Boolean deleteFlag;
}
