package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TImageRecord {
    @Schema(description="主键")
    private String id;
    @Schema(description="镜像名称")
    private String imageName;
    @Schema(description="镜像代码")
    private String imageCode;
    @Schema(description="所属分类ID")
    private String classifyId;
    @Schema(description="版本号")
    private String version;
    @Schema(description="镜像来源，bkdevops：蓝盾源 third：第三方源")
    private String imageSourceType;
    @Schema(description="镜像仓库地址")
    private String imageRepoUrl;
    @Schema(description="镜像在仓库名称")
    private String imageRepoName;
    @Schema(description="ticket身份ID")
    private String ticketId;
    @Schema(description="镜像状态，0：初始化|1：提交中|2：验证中|3：验证失败|4：测试中|5：审核中|6：审核驳回|7：已发布|8：上架中止|9：下架中|10：已下架")
    private Integer imageStatus;
    @Schema(description="状态对应的描述，如上架失败原因")
    private String imageStatusMsg;
    @Schema(description="镜像大小")
    private String imageSize;
    @Schema(description="镜像tag")
    private String imageTag;
    @Schema(description="logo地址")
    private String logoUrl;
    @Schema(description="镜像图标(BASE64字符串)")
    private String icon;
    @Schema(description="镜像简介")
    private String summary;
    @Schema(description="镜像描述")
    private String description;
    @Schema(description="镜像发布者")
    private String publisher;
    @Schema(description="发布时间")
    private Date pubTime;
    @Schema(description="是否为最新版本镜像， TRUE：最新 FALSE：非最新")
    private Boolean latestFlag;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="支持的构建机环境")
    private String agentTypeScope;
    @Schema(description="删除标识 true：是，false：否")
    private Boolean deleteFlag;
    @Schema(description="dockerFile类型（INPUT：手动输入，*_LINK：链接）")
    private String dockerFileType;
    @Schema(description="dockerFile内容")
    private String dockerFileContent;
}
