package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TNotifyRtxRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="RTX通知批次ID")
    private String batchId;
    @Schema(description="是否成功")
    private Boolean success;
    @Schema(description="邮件来源")
    private String source;
    @Schema(description="邮件发送者")
    private String sender;
    @Schema(description="通知接收者")
    private String receivers;
    @Schema(description="邮件标题")
    private String title;
    @Schema(description="邮件内容")
    private String body;
    @Schema(description="优先级")
    private Integer priority;
    @Schema(description="重试次数")
    private Integer retryCount;
    @Schema(description="最后错误内容")
    private String lastError;
    @Schema(description="创建时间")
    private Date createdTime;
    @Schema(description="更新时间")
    private Date updatedTime;
    @Schema(description="内容md5值，由title和body计算得，频率限制时使用")
    private String contentMd5;
    @Schema(description="频率限制时长，单位分钟，即n分钟内不重发成功的消息")
    private Integer frequencyLimit;
    @Schema(description="tof系统id")
    private String tofSysId;
    @Schema(description="发送消息的系统id")
    private String fromSysId;
    @Schema(description="延迟发送的时间，秒")
    private Integer delayseconds;
}
