package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineBuildHistoryDebugRecord {
    @Schema(description="构建ID")
    private String buildId;
    @Schema(description="父级构建ID")
    private String parentBuildId;
    @Schema(description="父级任务ID")
    private String parentTaskId;
    @Schema(description="构建次数")
    private Integer buildNum;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="编排版本号")
    private Integer version;
    @Schema(description="启动者")
    private String startUser;
    @Schema(description="触发器")
    private String trigger;
    @Schema(description="开始时间")
    private Date startTime;
    @Schema(description="结束时间")
    private Date endTime;
    @Schema(description="状态")
    private Integer status;
    @Schema(description="流水线各阶段状态")
    private String stageStatus;
    @Schema(description="流水线任务数量")
    private Integer taskCount;
    @Schema(description="首次任务id")
    private String firstTaskId;
    @Schema(description="项目渠道")
    private String channel;
    @Schema(description="触发者")
    private String triggerUser;
    @Schema(description="原材料")
    private String material;
    @Schema(description="排队开始时间")
    private Date queueTime;
    @Schema(description="构件列表信息")
    private String artifactInfo;
    @Schema(description="评论")
    private String remark;
    @Schema(description="执行时间")
    private Long executeTime;
    @Schema(description="构建环境参数")
    private String buildParameters;
    @Schema(description="WEBHOOK 类型")
    private String webhookType;
    @Schema(description="推荐版本号")
    private String recommendVersion;
    @Schema(description="错误类型")
    private Integer errorType;
    @Schema(description="错误码")
    private Integer errorCode;
    @Schema(description="错误描述")
    private String errorMsg;
    @Schema(description="WEBHOOK 信息")
    private String webhookInfo;
    @Schema(description="错误信息")
    private String errorInfo;
    @Schema(description="构建信息")
    private String buildMsg;
    @Schema(description="自定义构建号")
    private String buildNumAlias;
    @Schema(description="并发时,设定的group")
    private String concurrencyGroup;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="触发库信息")
    private String repoTriggerInfo;
    @Schema(description="最大执行次数")
    private Integer executeCount;
    @Schema(description="是否进行过重试")
    private Boolean isRetry;
    @Schema(description="YAML的版本标记")
    private String yamlVersion;
    @Schema(description="本次调试的编排备份")
    private String resourceModel;
    @Schema(description="记录删除时间")
    private Date deleteTime;
}
