package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineInfoRecord {
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="流水线名称")
    private String pipelineName;
    @Schema(description="流水线描述")
    private String pipelineDesc;
    @Schema(description="版本号")
    private Integer version;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="最近修改者")
    private String lastModifyUser;
    @Schema(description="项目渠道")
    private String channel;
    @Schema(description="是否手工启动")
    private Integer manualStartup;
    @Schema(description="是否跳过插件")
    private Integer elementSkip;
    @Schema(description="流水线任务数量")
    private Integer taskCount;
    @Schema(description="是否删除")
    private Boolean delete;
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="流水线名称拼音")
    private String pipelineNamePinyin;
    @Schema(description="最近启动时间")
    private Date latestStartTime;
    @Schema(description="最新分布版本状态")
    private String latestVersionStatus;
    @Schema(description="是否锁定，PAC v3.0新增锁定，取代原来setting表中的LOCK")
    private Boolean locked;
}
