package cd.casic.ci.process.process.dataObject;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TPipelineSettingRecord {
    @Schema(description="流水线ID")
    private String pipelineId;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="描述")
    private String desc;
    @Schema(description="运行锁定类型")
    private Integer runType;
    @Schema(description="名称")
    private String name;
    @Schema(description="成功接受者")
    private String successReceiver;
    @Schema(description="失败接受者")
    private String failReceiver;
    @Schema(description="成功组")
    private String successGroup;
    @Schema(description="失败组")
    private String failGroup;
    @Schema(description="成功的通知方式")
    private String successType;
    @Schema(description="失败的通知方式")
    private String failType;
    @Schema(description="成功的企业微信群通知开关")
    private Boolean successWechatGroupFlag;
    @Schema(description="成功的企业微信群通知群ID")
    private String successWechatGroup;
    @Schema(description="失败的企业微信群通知开关")
    private Boolean failWechatGroupFlag;
    @Schema(description="失败的企业微信群通知群ID")
    private String failWechatGroup;
    @Schema(description="Lock 类型")
    private Integer runLockType;
    @Schema(description="成功的通知的流水线详情连接开关")
    private Boolean successDetailFlag;
    @Schema(description="失败的通知的流水线详情连接开关")
    private Boolean failDetailFlag;
    @Schema(description="成功的自定义通知内容")
    private String successContent;
    @Schema(description="失败的自定义通知内容")
    private String failContent;
    @Schema(description="最大排队时长")
    private Integer waitQueueTimeSecond;
    @Schema(description="最大排队数量")
    private Integer maxQueueSize;
    @Schema(description="是否模板")
    private Boolean isTemplate;
    @Schema(description="成功的企业微信群通知转为Markdown格式开关")
    private Boolean successWechatGroupMarkdownFlag;
    @Schema(description="失败的企业微信群通知转为Markdown格式开关")
    private Boolean failWechatGroupMarkdownFlag;
    @Schema(description="保存流水线编排的最大个数")
    private Integer maxPipelineResNum;
    @Schema(description="并发构建数量限制,为null时表示取系统默认值")
    private Integer maxConRunningQueueSize;
    @Schema(description="构建号生成规则")
    private String buildNumRule;
    @Schema(description="并发时,设定的group")
    private String concurrencyGroup;
    @Schema(description="并发时,是否相同group取消正在执行的流水线")
    private Boolean concurrencyCancelInProgress;
    @Schema(description="重试时清理变量表")
    private Boolean cleanVariablesWhenRetry;
    @Schema(description="YAML流水线相关配置")
    private String pipelineAsCodeSettings;
    @Schema(description="设置版本")
    private Integer version;
    @Schema(description="成功订阅设置")
    private String successSubscription;
    @Schema(description="失败订阅设置")
    private String failureSubscription;
}
