package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TProjectApprovalRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目名称")
    private String projectName;
    @Schema(description="英文名称")
    private String englishName;
    @Schema(description="描述")
    private String description;
    @Schema(description="创建时间")
    private Date createdAt;
    @Schema(description="更新时间")
    private Date updatedAt;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="更新人")
    private String updator;
    @Schema(description="事业群ID")
    private Long bgId;
    @Schema(description="事业群名称")
    private String bgName;
    @Schema(description="业务线ID")
    private Long businessLineId;
    @Schema(description="业务线名称")
    private String businessLineName;
    @Schema(description="项目所属二级机构ID")
    private Long deptId;
    @Schema(description="项目所属二级机构名称")
    private String deptName;
    @Schema(description="中心ID")
    private Long centerId;
    @Schema(description="中心名字")
    private String centerName;
    @Schema(description="logo地址")
    private String logoAddr;
    @Schema(description="批准人")
    private String approver;
    @Schema(description="审核状态")
    private Integer approvalStatus;
    @Schema(description="批准时间")
    private Date approvalTime;
    @Schema(description="扩展系统关联ID")
    private String relationId;
    @Schema(description="最大可授权人员范围")
    private String subjectScopes;
    @Schema(description="项目性质,0-公开,1-保密,2-机密")
    private Integer authSecrecy;
    @Schema(description="提示状态,0-不展示,1-展示创建成功,2-展示更新成功")
    private Integer tipsStatus;
    @Schema(description="项目类型")
    private Integer projectType;
    @Schema(description="运营产品ID")
    private Integer productId;
    @Schema(description="运营产品名称")
    private String productName;
    @Schema(description="项目其他配置")
    private String properties;
}
