package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import java.math.BigDecimal;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TProjectThirdPlatformDataRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="codecc检查代码库平均分")
    private BigDecimal repoCodeccAvgScore;
    @Schema(description="已解决缺陷数")
    private Integer resolvedDefectNum;
    @Schema(description="使用质量红线的流水线执行被拦截次数")
    private Integer qualityPipelineInterceptionNum;
    @Schema(description="使用质量红线的流水线执行总次数")
    private Integer qualityPipelineExecuteNum;
    @Schema(description="编译加速节省时间，单位：秒")
    private BigDecimal turboSaveTime;
    @Schema(description="统计时间")
    private Date statisticsTime;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="修改者")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
}
