package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TQualityIndicatorRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="原子的ClassType")
    private String elementType;
    @Schema(description="产出原子")
    private String elementName;
    @Schema(description="工具/原子子类")
    private String elementDetail;
    @Schema(description="指标英文名")
    private String enName;
    @Schema(description="指标中文名")
    private String cnName;
    @Schema(description="指标所包含基础数据")
    private String metadataIds;
    @Schema(description="默认操作")
    private String defaultOperation;
    @Schema(description="可用操作")
    private String operationAvailable;
    @Schema(description="默认阈值")
    private String threshold;
    @Schema(description="阈值类型")
    private String thresholdType;
    @Schema(description="描述")
    private String desc;
    @Schema(description="是否只读")
    private Boolean indicatorReadOnly;
    @Schema(description="阶段")
    private String stage;
    @Schema(description="指标范围")
    private String indicatorRange;
    @Schema(description="是否启用")
    private Boolean enable;
    @Schema(description="指标类型")
    private String type;
    @Schema(description="指标标签，用于前端区分控制")
    private String tag;
    @Schema(description="创建用户")
    private String createUser;
    @Schema(description="更新用户")
    private String updateUser;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="插件版本号")
    private String atomVersion;
    @Schema(description="日志提示")
    private String logPrompt;
}
