package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TRuleRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="名称")
    private String name;
    @Schema(description="评论")
    private String remark;
    @Schema(description="类型")
    private String type;
    @Schema(description="控制点原子类型")
    private String controlPoint;
    @Schema(description="任务ID")
    private String taskId;
    @Schema(description="默认阈值")
    private String threshold;
    @Schema(description="指标范围")
    private String indicatorRange;
    @Schema(description="ANY-项目ID集合, PART_BY_NAME-空集合")
    private String rangeIdentification;
    @Schema(description="可选操作")
    private String operation;
    @Schema(description="操作结束通知类型")
    private String operationEndNotifyType;
    @Schema(description="操作结束通知用户组")
    private String operationEndNotifyGroup;
    @Schema(description="操作结束通知用户")
    private String operationEndNotifyUser;
    @Schema(description="操作审核通知用户")
    private String operationAuditNotifyUser;
    @Schema(description="拦截次数")
    private Integer interceptTimes;
    @Schema(description="是否启用")
    private Boolean enable;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="更新人")
    private String updator;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="是否删除 0 可用 1删除")
    private Boolean isDeleted;
    @Schema(description="审核超时时间")
    private Integer operationAuditTimeoutMinutes;
}
