package cd.casic.ci.process.process.dataObject;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreBaseRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="组件唯一标识")
    private String storeCode;
    @Schema(description="store组件类型")
    private Integer storeType;
    @Schema(description="组件名称")
    private String name;
    @Schema(description="版本号")
    private String version;
    @Schema(description="状态")
    private String status;
    @Schema(description="状态对应的描述，如上架失败原因")
    private String statusMsg;
    @Schema(description="说明文档链接")
    private String docsLink;
    @Schema(description="logo地址")
    private String logoUrl;
    @Schema(description="组件简介")
    private String summary;
    @Schema(description="组件描述")
    private String description;
    @Schema(description="是否为最新版本， TRUE：最新 FALSE：非最新")
    private Boolean latestFlag;
    @Schema(description="发布者,对应T_STORE_PUBLISHER_INFO表的PUBLISHER_NAME字段")
    private String publisher;
    @Schema(description="发布时间")
    private Date pubTime;
    @Schema(description="所属分类ID")
    private String classifyId;
    @Schema(description="创建人")
    private String creator;
    @Schema(description="最近修改人")
    private String modifier;
    @Schema(description="修改时间")
    private Date updateTime;
    @Schema(description="创建时间")
    private Date createTime;
}
