package cd.casic.ci.process.process.dataObject;


import java.math.BigDecimal;
import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TStoreStatisticsTotalRecord {
    @Schema(description="主键ID")
    private String id;
    @Schema(description="store组件编码")
    private String storeCode;
    @Schema(description="store组件类型")
    private Integer storeType;
    @Schema(description="下载量")
    private Integer downloads;
    @Schema(description="评论数量")
    private Integer commits;
    @Schema(description="评分")
    private Integer score;
    @Schema(description="评论均分")
    private BigDecimal scoreAverage;
    @Schema(description="流水线数量")
    private Integer pipelineNum;
    @Schema(description="最近执行次数")
    private Integer recentExecuteNum;
    @Schema(description="总活跃时长，单位：小时")
    private BigDecimal recentActiveDuration;
    @Schema(description="创建时间")
    private Date createTime;
    @Schema(description="更新时间")
    private Date updateTime;
    @Schema(description="是否为受欢迎组件")
    private Boolean hotFlag;
}
