package cd.casic.ci.process.process.engine.listener;

import cd.casic.ci.common.pipeline.service.utils.LogUtils;
import cd.casic.ci.process.process.engine.control.CallBackControl;
import cd.casic.ci.process.process.engine.pojo.event.PipelineRestoreEvent;
import cd.casic.ci.process.process.engine.pojo.event.PipelineStreamEnabledEvent;
import cd.casic.framework.commons.util.watcher.Watcher;
import cd.casic.framework.mq.redis.core.stream.AbstractRedisStreamMessageListener;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 *  MQ实现的流水线开启Stream事件
 *
 * @version 1.0
 */
@Service
public class MQPipelineStreamEnabledListener extends AbstractRedisStreamMessageListener<PipelineStreamEnabledEvent> {
    @Resource
    private CallBackControl callBackControl;

    @Override
    public void onMessage(PipelineStreamEnabledEvent event) {
        String id = String.format("%s|RestorePipeline#%s|%s}",
                event.getTraceId(),
                event.getPipelineId(),
                event.getUserId()
        ) ;
        Watcher watcher =new Watcher(id);
        try {
            watcher.start("callback");
            callBackControl.pipelineStreamEnabledEvent(
                    event
            );
            watcher.stop();
        } finally {
            watcher.stop();
            LogUtils.printCostTimeWE(watcher);
        }
    }
}
