package cd.casic.ci.process.process.engine.pojo.event;




import cd.casic.ci.common.pipeline.pojo.BuildNo;
import cd.casic.ci.common.pipeline.pojo.element.Element;
import cd.casic.ci.event.enums.ActionType;
import cd.casic.ci.event.pojo.pipeline.IPipelineEvent;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Map;

/**
 * 创建流水线事件
 *
 * @version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PipelineCreateEvent extends IPipelineEvent {

    private BuildNo buildNo;
    private String pipelineName;
    private Element element;
    private Integer version;
    private Map<String, Object> variables;

    public PipelineCreateEvent(
            String source,
            String projectId,
            String pipelineId,
            String userId,
            BuildNo buildNo,
            String pipelineName,
            Element element,
            Integer version,
            Map<String, Object> variables,
            ActionType actionType,
            int delayMills
    ) {
        super(actionType, source, projectId, pipelineId, userId, delayMills);
        this.buildNo = buildNo;
        this.pipelineName = pipelineName;
        this.element = element;
        this.version = version;
        this.variables = variables;
    }

    public PipelineCreateEvent(
            String source,
            String projectId,
            String pipelineId,
            String userId
    ) {
        this(source, projectId, pipelineId, userId, null, null, null, 1, null, ActionType.START, 0);
    }
}
