package cd.casic.ci.process.process.engine.pojo.event;


import cd.casic.ci.common.pipeline.pojo.BuildNo;
import cd.casic.ci.common.pipeline.pojo.element.Element;
import cd.casic.ci.event.enums.ActionType;
import cd.casic.ci.event.pojo.pipeline.IPipelineEvent;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Map;

/**
 * 创建流水线事件
 *
 * @version 1.0
 */
import lombok.Getter;
import lombok.ToString;

/**
 * 删除流水线事件
 *
 * @version 1.0
 */
@Getter
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
//@Event(StreamBinding.PIPELINE_DELETE)
public class PipelineDeleteEvent extends IPipelineEvent {

    private final boolean clearUpModel;

    public PipelineDeleteEvent(
            String source,
            String projectId,
            String pipelineId,
            String userId,
            boolean clearUpModel
    ) {
        this(source, projectId, pipelineId, userId, clearUpModel, ActionType.START, 0);
    }

    public PipelineDeleteEvent(
            String source,
            String projectId,
            String pipelineId,
            String userId,
            boolean clearUpModel,
            ActionType actionType,
            int delayMills
    ) {
        super(actionType, source, projectId, pipelineId, userId, delayMills);
        this.clearUpModel = clearUpModel;
    }
}
