package cd.casic.ci.process.process.engine.service;


import cd.casic.ci.common.pipeline.Model;

/**
 * 构建机流水线引用服务接口
 */
public interface AgentPipelineRefService {

    /**
     * 更新构建机流水线引用
     *
     * @param userId 用户ID
     * @param action 操作类型
     * @param projectId 项目ID
     * @param pipelineId 流水线ID
     */
    void updateAgentPipelineRef(String userId, String action, String projectId, String pipelineId);

    /**
     * 分析流水线引用并保存
     *
     * @param userId 用户ID
     * @param action 操作类型
     * @param projectId 项目ID
     * @param pipelineId 流水线ID
     * @param pipelineModel 流水线模型
     */
    void analysisPipelineRefAndSave(
            String userId,
            String action,
            String projectId,
            String pipelineId,
            Model pipelineModel
    );

    /**
     * 更新流水线引用
     *
     * @param userId 用户ID
     * @param projectId 项目ID
     * @param pipelineId 流水线ID
     */
    void updatePipelineRef(String userId, String projectId, String pipelineId);
}
