package cd.casic.ci.process.process.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import javax.annotation.Nullable;

@Schema(title = "插件参数替换信息")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AtomParamReplaceInfo {

    @Schema(title = "被替换插件参数名称", required = true)
    private String fromParamName;

    @Schema(title = "替换插件参数名称", required = true)
    private String toParamName;

    @Nullable
    @Schema(title = "替换插件参数值，不传默认用被替换插件参数值替换", required = false)
    @Builder.Default
    private Object toParamValue = null;

    @Nullable
    @Schema(title = "替换插件默认参数值，如果没有指定替换插件参数值且被替换插件参数没有值则用该默认值作为替换插件参数值", required = false)
    @Builder.Default
    private Object toParamDefaultValue = null;

    @Nullable
    @Schema(title = "参数自定义转换接口url地址，接口参数结构需统一", required = false)
    @Builder.Default
    private String paramConvertUrl = null;
}
