package cd.casic.ci.process.process.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import javax.annotation.Nullable;
import java.util.List;

@Schema(title = "插件版本替换信息")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AtomVersionReplaceInfo {

    @Schema(title = "被替换插件版本", required = true)
    private String fromAtomVersion;

    @Schema(title = "替换插件版本", required = true)
    private String toAtomVersion;

    @Nullable
    @Schema(title = "插件参数替换信息", required = false)
    @Builder.Default
    private List<AtomParamReplaceInfo> paramReplaceInfoList = null;
}

