package cd.casic.ci.process.process.pojo;

import cd.casic.ci.common.pipeline.enums.BuildStatus;
import cd.casic.ci.common.pipeline.pojo.ErrorType;
import cd.casic.ci.common.pipeline.pojo.element.ElementAdditionalOptions;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Map;
@Data
public class UpdateTaskInfo {
    private String projectId; // 项目ID
    private String buildId; // 构建ID
    private String taskId; // 任务ID
    private int executeCount;
    private BuildStatus taskStatus; // 构建状态
    private String starter; // 启动人
    private String approver; // 审批人
    private LocalDateTime startTime; // 开始时间
    private LocalDateTime endTime; // 结束时间
    private Long totalTime; // 耗费时间
    private ElementAdditionalOptions additionalOptions;
    private Map<String, Object> taskParams;
    private ErrorType errorType;
    private Integer errorCode;
    private String errorMsg;
    private String platformCode; // 对接平台代码
    private Integer platformErrorCode; // 对接平台错误码
}
