package cd.casic.ci.process.process.service.base.engin.service;


import cd.casic.ci.common.pipeline.model.SQLPage;
import cd.casic.ci.common.pipeline.pojo.event.CallBackNetWorkRegionType;
import cd.casic.ci.common.pipeline.pojo.event.PipelineCallbackEvent;
import cd.casic.ci.common.pipeline.pojo.event.ProjectPipelineCallBack;
import cd.casic.ci.common.pipeline.pojo.secret.ISecretParam;
import cd.casic.ci.process.api.process.pojo.CreateCallBackResult;
import cd.casic.ci.process.api.process.pojo.ProjectPipelineCallBackHistory;
import org.springframework.stereotype.Repository;

import java.time.LocalDateTime;
import java.util.List;

@Repository
public interface ProjectPipelineCallBackService {

    CreateCallBackResult createCallBack(
            String userId,
            String projectId,
            String url,
            CallBackNetWorkRegionType region,
            String event,
            String secretToken,
            ISecretParam secretParam,
            boolean needCheckPermission
    );

    List<ProjectPipelineCallBack> listProjectCallBack(
            String projectId,
            String events
    );

    SQLPage<ProjectPipelineCallBack> listByPage(
            String userId,
            String projectId,
            int offset,
            int limit
    );

    void delete(
            String userId,
            String projectId,
            long id,
            boolean needCheckPermission
    );

    void disable(
            String projectId,
            long id
    );

    void batchDisable(
            String projectId,
            String callbackIds
    );

    void sendDisableNotifyMessage(
            String projectId,
            long id
    );

    void enable(
            ProjectPipelineCallBack callBack
    );

    void enableByIds(
            String projectId,
            String callbackIds
    );

    void updateFailureTime(
            String projectId,
            long id,
            LocalDateTime failureTime
    );

    List<ProjectPipelineCallBack> getDisableCallbackList(
            int offset,
            int limit,
            String projectId,
            String url
    );

    void createHistory(
            ProjectPipelineCallBackHistory projectPipelineCallBackHistory
    );

    ProjectPipelineCallBackHistory getHistory(
            String userId,
            String projectId,
            long id
    );

    SQLPage<ProjectPipelineCallBackHistory> listHistory(
            String userId,
            String projectId,
            String callBackUrl,
            String events,
            Long startTime,
            Long endTime,
            int offset,
            int limit
    );

    void retry(
            String userId,
            String projectId,
            long id
    );

    void bindPipelineCallBack(
            String userId,
            String projectId,
            String pipelineId,
            PipelineCallbackEvent callbackInfo
    );

    List<ProjectPipelineCallBack> getPipelineCallback(
            String projectId,
            String pipelineId,
            String event
    );

    void checkParam(
            String userId,
            String projectId
    );

    void validAuth(
            String userId,
            String projectId
    );

    void validProjectManager(
            String userId,
            String projectId
    );

    String projectPipelineListUrl(String projectId);
}