package cd.casic.ci.process.process.service.base.pojo;


import java.util.Objects;

public class PipelineEvent {
    private final String pipelineId;
    private final String pipelineName;
    private final String userId;
    private final long updateTime;
    private final String projectId;

    public PipelineEvent(
            String pipelineId,
            String pipelineName,
            String userId,
            long updateTime,
            String projectId
    ) {
        this.pipelineId = pipelineId;
        this.pipelineName = pipelineName;
        this.userId = userId;
        this.updateTime = updateTime;
        this.projectId = projectId;
    }

    public String getPipelineId() {
        return pipelineId;
    }

    public String getPipelineName() {
        return pipelineName;
    }

    public String getUserId() {
        return userId;
    }

    public long getUpdateTime() {
        return updateTime;
    }

    public String getProjectId() {
        return projectId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        PipelineEvent that = (PipelineEvent) o;
        return updateTime == that.updateTime &&
                Objects.equals(pipelineId, that.pipelineId) &&
                Objects.equals(pipelineName, that.pipelineName) &&
                Objects.equals(userId, that.userId) &&
                Objects.equals(projectId, that.projectId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(pipelineId, pipelineName, userId, updateTime, projectId);
    }

    @Override
    public String toString() {
        return "PipelineEvent{" +
                "pipelineId='" + pipelineId + '\'' +
                ", pipelineName='" + pipelineName + '\'' +
                ", userId='" + userId + '\'' +
                ", updateTime=" + updateTime +
                ", projectId='" + projectId + '\'' +
                '}';
    }
}
