package cd.casic.pipeline.store.api.atom;

import cd.casic.framework.commons.pojo.CommonResult;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@Tag(name = "OP_ATOM_STATISTIC", description = "插件-运营统计")
@RestController
@RequestMapping("/op/market/atom/statistic")
public interface OpAtomStatisticResource {

    @Operation(summary = "获取插件统计信息")
    @GetMapping("/{atomCode}")
    CommonResult<Object> getAtomStatistic(
            @Parameter(description = "插件代码", required = true)
            @PathVariable("atomCode")
            String atomCode
    );
}