package cd.casic.pipeline.store.api.common;

import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.common.enums.StoreTypeEnum;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.*;

import static cd.casic.ci.common.pipeline.constant.OpsHeader.AUTH_HEADER_USER_ID;
import static cd.casic.ci.common.pipeline.constant.OpsHeader.AUTH_HEADER_USER_ID_DEFAULT_VALUE;

@Tag(name = "OP_STORE", description = "OP-商店")
@RestController
@RequestMapping("/op/store")
public interface OpStoreResource {

    @Operation(summary = "删除组件内置流水线")
    @DeleteMapping("/inner/pipeline/delete")
    CommonResult<Boolean> deleteStoreInnerPipeline(
            @Parameter(description = "用户ID", required = true, example = AUTH_HEADER_USER_ID_DEFAULT_VALUE)
            @RequestHeader(AUTH_HEADER_USER_ID)
            String userId,
            @Parameter(description = "组件类型", required = false)
            @RequestParam("storeType")
            StoreTypeEnum storeType,
            @Parameter(description = "组件标识", required = false)
            @RequestParam("storeCode")
            String storeCode,
            @Parameter(description = "需排除的项目", required = false)
            @RequestParam("excludeProjectCode")
            String excludeProjectCode
    );
}